JvmComponentDependencies (Gradle API 8.11)

Package org.gradle.api.plugins.jvm

## Interface JvmComponentDependencies

- All Superinterfaces:
    `Dependencies`, `GradleDependencies`, `PlatformDependencyModifiers`, `TestFixturesDependencyModifiers`

      @Incubating
      public interface JvmComponentDependencies
      extends PlatformDependencyModifiers, TestFixturesDependencyModifiers, GradleDependencies

  This DSL element is used to add dependencies to a component, for instance a `TestSuite`
  - `implementation` dependencies are used at compilation and runtime.
  - `compileOnly` dependencies are used only at compilation and are not available at runtime.
  - `runtimeOnly` dependencies are not available at compilation and are used only at runtime.
  - `annotationProcessor` dependencies are used only at compilation for the annotation processor classpath
  Since:
    7.3
  See Also:
    `For more information.`
  API Note:
    This interface combines various `Dependencies` APIs into a DSL type that can be used to add dependencies for JVM components.
  Implementation Requirements:
    The default implementation of all methods should not be overridden.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.plugins.jvm.PlatformDependencyModifiers

      `PlatformDependencyModifiers.EnforcedPlatformDependencyModifier, PlatformDependencyModifiers.PlatformDependencyModifier`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.plugins.jvm.TestFixturesDependencyModifiers

      `TestFixturesDependencyModifiers.TestFixturesDependencyModifier`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencyCollector` | `getAnnotationProcessor()` | Returns a `DependencyCollector` that collects the set of annotation processor dependencies.
    `DependencyCollector` | `getCompileOnly()` | Returns a `DependencyCollector` that collects the set of compile-only dependencies.
    `DependencyCollector` | `getImplementation()` | Returns a `DependencyCollector` that collects the set of implementation dependencies.
    `DependencyCollector` | `getRuntimeOnly()` | Returns a `DependencyCollector` that collects the set of runtime-only dependencies.

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

      `constraint, constraint, constraint, constraint, getDependencyConstraintFactory, getDependencyFactory, getObjectFactory, getProject, module, module, project, project`

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.GradleDependencies

      `gradleApi, gradleTestKit, localGroovy`

    - ### Methods inherited from interface org.gradle.api.plugins.jvm.PlatformDependencyModifiers

      `getEnforcedPlatform, getPlatform`

    - ### Methods inherited from interface org.gradle.api.plugins.jvm.TestFixturesDependencyModifiers

      `getTestFixtures`

- - ### Method Detail

    - #### getImplementation

          DependencyCollector getImplementation()

      Returns a `DependencyCollector` that collects the set of implementation dependencies.

      `implementation` dependencies are used at compilation and runtime.

      Returns:
        a `DependencyCollector` that collects the set of implementation dependencies
      Since:
        7.6

    - #### getCompileOnly

          DependencyCollector getCompileOnly()

      Returns a `DependencyCollector` that collects the set of compile-only dependencies.

      `compileOnly` dependencies are used only at compilation and are not available at runtime.

      Returns:
        a `DependencyCollector` that collects the set of compile-only dependencies
      Since:
        7.6

    - #### getRuntimeOnly

          DependencyCollector getRuntimeOnly()

      Returns a `DependencyCollector` that collects the set of runtime-only dependencies.

      `runtimeOnly` dependencies are not available at compilation and are used only at runtime.

      Returns:
        a `DependencyCollector` that collects the set of runtime-only dependencies
      Since:
        7.6

    - #### getAnnotationProcessor

          DependencyCollector getAnnotationProcessor()

      Returns a `DependencyCollector` that collects the set of annotation processor dependencies.

      `annotationProcessor` dependencies are used only at compilation, and are added to the annotation processor classpath.

      Returns:
        a `DependencyCollector` that collects the of annotation processor dependencies
      Since:
        7.6